> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.oppigames.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Jackpot Configure

> This API is used to configure a jackpot for a specific game. You can create or update the jackpot with this API. The jackpot will be enabled, filled, and awarded to users until it is deactivated. This is a one-time configuration and will remain effective until jackpot deactivation. The jackpot amount is awarded as the converted amount.

## Headers

<ParamField header="x-api-key" type="string" required>
  A unique identifier associated with operator calling API.
</ParamField>

<ParamField header="x-signature" type="string" required>
  A SHA256 HMAC signature generated using the request body and timestamp.
  Format: HMAC\_SHA256(JSON.stringify(data) + '|' + timestamp), signed using the
  provided secret key.
</ParamField>

<ParamField header="x-timestamp" type="string" required>
  An Unix timestamp (milliseconds) Used to verify the request’s freshness.
  Ensure the same value is used in signature generation.

  <Note>
    The signature will remain valid for only 5 minutes from the provided
    timestamp.
  </Note>
</ParamField>

<ParamField header="Content-Type" type="string" required>
  Must be set to `application/json`.
</ParamField>

## Request Body

<ParamField body="gameId" type="string" required>
  Unique identifier representing the game for which you want to create the jackpot.
</ParamField>

<ParamField body="betPortion" type="integer" required>
  This is the percentage value to be extracted from each user's bet. For example, if set to 5%, then 5% of every bet placed in this game will be added to the jackpot pool.
</ParamField>

<ParamField body="jackpotPool" type="integer" required>
  This is the total amount of the jackpot pool. Once the pool filled by betPortion contributions, reaches it's limit, a portion of it will be awarded to users based on the mini-game logic. This amount is considered in USD. Bet in any currency will be converted to USD and then added to this pool. This pool will be awarded to user in their currency with our conversion rates.

  <Note>
    To maintain precision and avoid floating-point errors, the balance field is processed as an integer value by multiplying the actual amount by 100000.

    For example, a balance of 12.34567 will be represented as 1234567 in the API.
  </Note>
</ParamField>

<ParamField body="forOnce" type="boolean" required>
  If forOnce = true, the jackpot will be a one-time reward and will no longer be effective once it has been awarded, whereas if forOnce = false, the jackpot will be recurring and remain effective until it is explicitly deleted.
</ParamField>

## Response

<ResponseField name="status" type="string" required>
  Code indicates status of the request weather it is succeed or failed. We have listed error codes <a href="/introduction#error-codes">here</a>
</ResponseField>

<ResponseField name="data" type="array" required>
  An array of jackpot objects containing details about.

  <Expandable title="Data properties">
    <ResponseField name="jackpotId" type="string" required>
      Unique identifier for the jackpot.
    </ResponseField>

    <ResponseField name="gameId" type="string" required>
      Unique identifier for the game associated with the jackpot.
    </ResponseField>

    <ResponseField name="betPortion" type="number" required>
      The portion of the bet amount contributing to the jackpot pool.
    </ResponseField>

    <ResponseField name="jackpotPool" type="number" required>
      The total amount of the jackpot pool in USD currency.

      <Note>
        To maintain precision and avoid floating-point errors, the jackpot pool field is processed as an integer value by multiplying the actual amount by 100000.

        For example, a jackpot pool of 12.34567 will be represented as 1234567 in the API.
      </Note>
    </ResponseField>

    <ResponseField name="status" type="integer" required>
      Status code of the jackpot (e.g., 1 for active).
    </ResponseField>

    <ResponseField name="createdAt" type="string" required>
      Timestamp indicating when the jackpot entry was created (UTC format).
    </ResponseField>

    <ResponseField name="updatedAt" type="string" required>
      Timestamp indicating when the jackpot entry was last updated (UTC format).
    </ResponseField>

    <ParamField body="forOnce" type="boolean" required>
      If forOnce = true, the jackpot will be a one-time reward and will no longer be effective once it has been awarded, whereas if forOnce = false, the jackpot will be recurring and remain effective until it is explicitly deleted.
    </ParamField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json SUCCESS theme={null}
  {
      "status": "RS_OK",
      "data": [
          {
              "jackpotId": "200b4487-3e2d-4c83-a85d-3f6d7245ba10",
              "gameId": "G1742373671848",
              "betPortion": 5,
              "jackpotPool": 150000000,
              "status": 1,
              "forOnce":false,
              "createdAt": "2025-07-15T09:14:18.339Z",
              "updatedAt": "2025-07-15T09:14:18.339Z"
          }
      ]
  }

  ```

  ```json FAILURE theme={null}
  {
    "status": "RS_ERROR",
    "message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
  }
  ```
</ResponseExample>
